- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerBatch Class Reference

The QextScintillaLexerBatch class encapsulates the Scintilla batch file lexer. More...

`#include <qextscintillalexerbatch.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Keyword = 2
- Label = 3
- HideCommandChar = 4
- ExternalCommand = 5
- Variable = 6
- Operator = 7
- enum {
  Default = 0, Comment = 1, Keyword = 2,
  Label = 3, HideCommandChar = 4, ExternalCommand = 5,
  Variable = 6, Operator = 7
  }

## Public Member Functions

- QextScintillaLexerBatch (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerBatch ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The QextScintillaLexerBatch class encapsulates the Scintilla batch file lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the batch file lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Keyword | A keyword.
  Label | A label.
  HideCommandChar | An hide command character.
  ExternalCommand | An external command .
  Variable | A variable.
  Operator | An operator.

## Constructor & Destructor Documentation

QextScintillaLexerBatch::QextScintillaLexerBatch | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerBatch with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerBatch::~QextScintillaLexerBatch | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerBatch instance.

## Member Function Documentation

const char* QextScintillaLexerBatch::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerBatch::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

TQColor QextScintillaLexerBatch::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerBatch::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

TQFont QextScintillaLexerBatch::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerBatch::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

TQString QextScintillaLexerBatch::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

TQColor QextScintillaLexerBatch::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.